# Created by pyp2rpm-3.3.4
%global pypi_name zopfli

Name:           python-%{pypi_name}
Version:        0.1.7
Release:        1%{?dist}
Summary:        Zopfli module for python

License:        ASL
URL:            https://github.com/obp/py-zopfli
Source0:        %{pypi_source %{pypi_name} %{version} zip}

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

Provides:       bundled(zopfli) = 1.0.3


%description
|Travis Build Status| |Appveyor Build Status|PYZOPFLI cPython bindings for
zopfli < pyzopfli is a straight forward wrapper around zopfli's ZlibCompress
method.:: from zopfli.zlib import compress from zlib import decompress s 'Hello
World' print decompress(compress(s))pyzopfli also wraps GzipCompress, but the
API point does not try to mimic the gzip module.:: from zopfli.gzip import
compress...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
|Travis Build Status| |Appveyor Build Status|PYZOPFLI cPython bindings for
zopfli < pyzopfli is a straight forward wrapper around zopfli's ZlibCompress
method.:: from zopfli.zlib import compress from zlib import decompress s 'Hello
World' print decompress(compress(s))pyzopfli also wraps GzipCompress, but the
API point does not try to mimic the gzip module.:: from zopfli.gzip import
compress...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Aug 24 2020 Peter Oliver <rpm@mavit.org.uk> - 0.1.7-1
- Initial package.
